.video-js .vjs-big-play-button {
  display: block;
  z-index: 5;
  position: absolute;
  padding: 0;
  cursor: pointer;

  // Need a slightly gray bg so it can be seen on black backgrounds
  @include background-color-with-alpha($primary-background-color, $primary-background-transparency);
  @include border-radius(50%);
  @include transition(all 0.4s);

  // Since the big play button doesn't inherit from vjs-control, we need to specify a bit more than
  // other buttons for the icon.
  & .vjs-icon-placeholder:before {
    @extend .icon-play !optional;

    @extend %icon-default;
    line-height: inherit;
    padding-left: 10%;
  }
}



// Allow people that hate their poster image to center the big play button.
.vjs-big-play-centered .vjs-big-play-button {
  top: 50%;
  left: 50%;
  text-align: center;
  transform: translate(-50%, -50%);
  body.rtl & {
    transform: translate(50%, -50%);
    text-indent: 13px;
  }
}

.video-js:hover .vjs-big-play-button,
.video-js .vjs-big-play-button:focus {
  border-color: $primary-foreground-color;

  @include background-color-with-alpha($secondary-background-color, $secondary-background-transparency);
  @include transition(all 0s);
}

// Hide if controls are disabled, the video is playing, or native controls are used.
.vjs-controls-disabled .vjs-big-play-button,
.vjs-has-started .vjs-big-play-button,
.vjs-using-native-controls .vjs-big-play-button,
.vjs-error .vjs-big-play-button {
  display: none;
}

// Show big play button if video is paused and .vjs-show-big-play-button-on-pause is set on video element
.vjs-has-started.vjs-paused.vjs-show-big-play-button-on-pause .vjs-big-play-button {
  display: block;
}
